List purchase orders
Retrieve a paginated list of purchase orders with filtering and sorting
GET
/
admin
/
api
/
v1
/
purchases
/
purchase-orders
List purchase orders
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/purchases/purchase-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/purchases/purchase-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/purchases/purchase-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/purchases/purchase-orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"name": "PO/1",
"description": "<p></p>",
"priority": "0",
"origin": null,
"partner_reference": "EH-1234",
"state": "purchase",
"invoice_status": "invoiced",
"receipt_status": "full",
"untaxed_amount": 35000,
"tax_amount": 5250,
"total_amount": 40250,
"total_cc_amount": 40250,
"currency_rate": 0,
"mail_reminder_confirmed": true,
"mail_reception_confirmed": false,
"mail_reception_declined": false,
"invoice_count": 0,
"ordered_at": "2026-01-08T12:53:13.000000Z",
"approved_at": "2026-01-08T12:56:13.000000Z",
"planned_at": "2026-03-11T00:00:00.000000Z",
"calendar_start_at": "2026-01-08T12:53:13.000000Z",
"incoterm_location": null,
"effective_date": null,
"report_grids": false,
"requisition_id": null,
"purchases_group_id": null,
"partner_id": 41,
"currency_id": 1,
"fiscal_position_id": null,
"payment_term_id": null,
"incoterm_id": null,
"user_id": 1,
"company_id": 1,
"creator_id": 1,
"operation_type_id": 1,
"created_at": "2026-01-08T12:55:43.000000Z",
"updated_at": "2026-01-08T12:56:52.000000Z"
},
{
"id": 1,
"name": "PO/1",
"description": "<p></p>",
"priority": "0",
"origin": null,
"partner_reference": "EH-1234",
"state": "purchase",
"invoice_status": "invoiced",
"receipt_status": "full",
"untaxed_amount": 35000,
"tax_amount": 5250,
"total_amount": 40250,
"total_cc_amount": 40250,
"currency_rate": 0,
"mail_reminder_confirmed": true,
"mail_reception_confirmed": false,
"mail_reception_declined": false,
"invoice_count": 0,
"ordered_at": "2026-01-08T12:53:13.000000Z",
"approved_at": "2026-01-08T12:56:13.000000Z",
"planned_at": "2026-03-11T00:00:00.000000Z",
"calendar_start_at": "2026-01-08T12:53:13.000000Z",
"incoterm_location": null,
"effective_date": null,
"report_grids": false,
"requisition_id": null,
"purchases_group_id": null,
"partner_id": 41,
"currency_id": 1,
"fiscal_position_id": null,
"payment_term_id": null,
"incoterm_id": null,
"user_id": 1,
"company_id": 1,
"creator_id": 1,
"operation_type_id": 1,
"created_at": "2026-01-08T12:55:43.000000Z",
"updated_at": "2026-01-08T12:56:52.000000Z"
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Comma-separated list of relationships to include.
Available options: partner, currency, fiscalPosition, paymentTerm, incoterm, user, company, creator, operationType, requisition, lines, lines.uom, lines.product, lines.productPackaging, lines.partner, lines.currency, lines.company, lines.creator, lines.finalLocation, lines.taxes
Example:
"partner,lines"
Response
Success
⌘I
List purchase orders
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/purchases/purchase-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/purchases/purchase-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/purchases/purchase-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/purchases/purchase-orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"name": "PO/1",
"description": "<p></p>",
"priority": "0",
"origin": null,
"partner_reference": "EH-1234",
"state": "purchase",
"invoice_status": "invoiced",
"receipt_status": "full",
"untaxed_amount": 35000,
"tax_amount": 5250,
"total_amount": 40250,
"total_cc_amount": 40250,
"currency_rate": 0,
"mail_reminder_confirmed": true,
"mail_reception_confirmed": false,
"mail_reception_declined": false,
"invoice_count": 0,
"ordered_at": "2026-01-08T12:53:13.000000Z",
"approved_at": "2026-01-08T12:56:13.000000Z",
"planned_at": "2026-03-11T00:00:00.000000Z",
"calendar_start_at": "2026-01-08T12:53:13.000000Z",
"incoterm_location": null,
"effective_date": null,
"report_grids": false,
"requisition_id": null,
"purchases_group_id": null,
"partner_id": 41,
"currency_id": 1,
"fiscal_position_id": null,
"payment_term_id": null,
"incoterm_id": null,
"user_id": 1,
"company_id": 1,
"creator_id": 1,
"operation_type_id": 1,
"created_at": "2026-01-08T12:55:43.000000Z",
"updated_at": "2026-01-08T12:56:52.000000Z"
},
{
"id": 1,
"name": "PO/1",
"description": "<p></p>",
"priority": "0",
"origin": null,
"partner_reference": "EH-1234",
"state": "purchase",
"invoice_status": "invoiced",
"receipt_status": "full",
"untaxed_amount": 35000,
"tax_amount": 5250,
"total_amount": 40250,
"total_cc_amount": 40250,
"currency_rate": 0,
"mail_reminder_confirmed": true,
"mail_reception_confirmed": false,
"mail_reception_declined": false,
"invoice_count": 0,
"ordered_at": "2026-01-08T12:53:13.000000Z",
"approved_at": "2026-01-08T12:56:13.000000Z",
"planned_at": "2026-03-11T00:00:00.000000Z",
"calendar_start_at": "2026-01-08T12:53:13.000000Z",
"incoterm_location": null,
"effective_date": null,
"report_grids": false,
"requisition_id": null,
"purchases_group_id": null,
"partner_id": 41,
"currency_id": 1,
"fiscal_position_id": null,
"payment_term_id": null,
"incoterm_id": null,
"user_id": 1,
"company_id": 1,
"creator_id": 1,
"operation_type_id": 1,
"created_at": "2026-01-08T12:55:43.000000Z",
"updated_at": "2026-01-08T12:56:52.000000Z"
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}